%define name lame
%define ver 3.92
%define quality beta
%define rel 1
%define prefix %{_usr}
%define docdir %{_defaultdocdir}

Summary : LAME Ain't an MP3 Encoder... but it's the best.
Summary(fr) : LAME n'est pas un encodeur MP3 ;->
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Vendor: The LAME Project
Packager: Yosi Markovich <yosim@bigfoot.com>
URL: http://www.mp3dev.org/mp3
Group: Applications/Multimedia
Source: ftp://lame.sourceforge.net/pub/lame/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: ncurses >= 5.0
BuildRequires: gcc3, /usr/bin/find, ncurses-devel
Provides: mp3encoder

%description
LAME is an educational tool to be used for learning about MP3 encoding.  The
goal of the LAME project is to use the open source model to improve the
psycho acoustics, noise shaping and speed of MP3. 

%description -l fr
LAME est un outil d'enseignement pour l'apprentissage de l'encodage MP3.
Le but du projet LAME est d'utiliser un modle "open source" afin
d'amliorer la qualit et la vitesse du MP3. 



%package devel
Summary: Shared and static libraries for LAME.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
LAME is an educational tool to be used for learning about MP3 encoding.
This package contains both the shared and the static libraries from the
LAME project.

You will also need to install the main lame package in order to install
these libraries.

%prep -q
%setup -q

%build

# Optimize the mother-fucker to the bone
export CC_OPTS="-O3 -march=i386 -mcpu=i686 -fomit-frame-pointer  -funroll-loops -ffast-math -finline-functions -Wall -pedantic"

%ifarch i686
	export CC_OPTS="-O3 -fomit-frame-pointer -mcpu=athlon -march=athlon -malign-functions=4 -funroll-loops -fexpensive-optimizations -fschedule-insns2 -Wall -mfancy-math-387 -pipe"
%endif
%ifarch athlon
	export CC_OPTS="-O3 -fomit-frame-pointer -fno-strength-reduce -mcpu=athlon -march=athlon -malign-functions=4 -funroll-loops  -fexpensive-optimizations -fschedule-insns2 -Wall -mfancy-math-387 -pipe"
%endif

# Vorbis makes the build fail for now. . .
rm -f config.cache
 
%configure \
	--enable-nasm \
	--without-vorbis \
	--enable-analyzer=no \
	--disable-brhist \
	--disable-debug

make CC="gcc3" CFLAGS="${CC_OPTS}" test

%install
rm -rf %{buildroot}
find . -name CVS | xargs rm -rf
mkdir -p %{buildroot}%{_bindir}
%makeinstall
install -D -m 644 doc/man/lame.1 %{buildroot}%{_mandir}/man/lame.1

# move back lame.h
mv %{buildroot}%{_includedir}/lame/lame.h %{buildroot}%{_includedir}/lame.h
find doc/html -name "Makefile*" | xargs rm -f

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc COPYING ChangeLog README TODO USAGE doc/html
%doc doc/html
%{_bindir}/lame
%{_libdir}/libmp3lame.so.*
%{_mandir}/man1/lame.1*

%files devel
%defattr (-, root, root)
%doc API HACKING STYLEGUIDE
%{_libdir}/libmp3lame.a
%{_libdir}/libmp3lame.la
%{_libdir}/libmp3lame.so
%{_includedir}/lame.h

%changelog
* Tue Jan 22 2002 Mark Taylor <mt@mp3dev.org>
- replaced lame.spec.in with Yosi's version.  Merged some stuff from
  the prevous lame.spec.in file, and appended changelog below.
- Yosi Markovich <yosim@bigfoot.com>
  Rewrote lame.spec.in to create a correct and nice spec file.
  imho, this spec file is not good for anyone who wants to build
  daily cvs snapshots. Closes bug #495975

